package com.p3.bewoplaner.data.api.common;

import com.p3.bewoplaner.model.common.BaseResponse;

/**
 * Created by laszloffiferenc on 2/21/17.
 */
public class ErrorThrowable extends RuntimeException {

    private final ErrorType mErrorType;
    private final BaseResponse.Error mError;

    ErrorThrowable(ErrorType errorType, BaseResponse.Error error) {
        super();
        mError = error;
        mErrorType = errorType;
    }

    public BaseResponse.Error getError() {
        return mError;
    }

    public ErrorType getErrorType() {
        return mErrorType;
    }

}
